For the complete documentation index, see llms.txt. This page is also available as Markdown.

AppMaker API - OAS 3.0

Get a public presigned URL

get
/upload/presign/public

Get a public presigned URL

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
fileNamestringRequired

File name

bucketstringOptional

The base directory name to upload the file

Default: temp
paramsstringOptional

The params for the file upload

Responses
200

OK

application/json
urlstringRequired

Presigned URL

get/upload/presign/public
GET /api/v1/upload/presign/public?fileName=text HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "url": "text",
  "fields": {
    "bucket": "text",
    "key": "text",
    "X-Amz-Algorithm": "text",
    "X-Amz-Credential": "text",
    "X-Amz-Date": "text",
    "X-Amz-Signature": "text",
    "Policy": "text"
  }
}

Get a private presigned URL

get
/upload/presign/private

Get a private presigned URL

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
fileNamestringRequired

File name

bucketstringOptional

The base directory name to upload the file

Default: temp
paramsstringOptional

The params for the file upload

Responses
200

OK

application/json
urlstringRequired

Presigned URL

get/upload/presign/private
GET /api/v1/upload/presign/private?fileName=text HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "url": "text",
  "fields": {
    "bucket": "text",
    "key": "text",
    "X-Amz-Algorithm": "text",
    "X-Amz-Credential": "text",
    "X-Amz-Date": "text",
    "X-Amz-Signature": "text",
    "Policy": "text"
  }
}

Get a signed URL

get
/download

Get a signed URL

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
urlstringRequired

Url

fileNamestringOptional

File name

Responses
200

OK

application/json
urlstringRequired

Signed URL

get/download
GET /api/v1/download?url=text HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "url": "text"
}

Get changelogs

get
/changelogs

Get changelogs by user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitintegerOptional

The limit of per page

Default: 10
Responses
200

OK

application/json
totalDocsintegerRequired

The total number of users

limitintegerRequired

The limit of users per page

Default: 10
pageintegerRequired

Current page

Default: 1
totalPagesintegerRequired

The total number of pages

pagingCounterintegerRequired

Current page number

hasPrevPagebooleanRequired

Has previous page

hasNextPagebooleanRequired

Has next page

prevPageintegerRequired

Previous page number

nextPageintegerRequired

Next page number

get/changelogs
GET /api/v1/changelogs HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "totalDocs": 1,
  "limit": 10,
  "page": 1,
  "totalPages": 1,
  "pagingCounter": 1,
  "hasPrevPage": true,
  "hasNextPage": true,
  "prevPage": 1,
  "nextPage": 1,
  "docs": [
    {
      "_id": "63ea10b94a472e003305232b",
      "targetVersion": "text",
      "summary": "text",
      "markdown": "text",
      "rank": 0,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get a changelog

get
/changelogs/{changelogId}

Get a changelog by user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
changelogIdstringRequired

Entity ID

Pattern: ^[0-9a-fA-F]{24}$
Responses
200

OK

application/json
_idstringRead-onlyOptional

Entity ID

Example: 63ea10b94a472e003305232bPattern: ^[0-9a-fA-F]{24}$
targetVersionstring · min: 5 · max: 20Required

Target version, formatted as semantic version

summarystring · max: 100Required

Changelog summary

markdownstringRequired
rankintegerRead-onlyOptional

Rank for sorting

Default: 0
createdAtstring · date-timeRead-onlyRequired

Date

updatedAtstring · date-timeRead-onlyRequired

Date

get/changelogs/{changelogId}
GET /api/v1/changelogs/{changelogId} HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "_id": "63ea10b94a472e003305232b",
  "targetVersion": "text",
  "summary": "text",
  "markdown": "text",
  "rank": 0,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z"
}

Get notifications

get
/notifications

Get notifications by user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
lastDaysintegerOptional

The number of last days to fetch notifications from

sortstringOptional

Sort

Example: {"value":"createdAt"}
limitintegerOptional

The limit of per page

Default: 10
pageintegerOptional

Current page number

Default: 1
Responses
200

OK

application/json
totalDocsintegerRequired

The total number of users

limitintegerRequired

The limit of users per page

Default: 10
pageintegerRequired

Current page

Default: 1
totalPagesintegerRequired

The total number of pages

pagingCounterintegerRequired

Current page number

hasPrevPagebooleanRequired

Has previous page

hasNextPagebooleanRequired

Has next page

prevPageintegerRequired

Previous page number

nextPageintegerRequired

Next page number

get/notifications
GET /api/v1/notifications HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "totalDocs": 1,
  "limit": 10,
  "page": 1,
  "totalPages": 1,
  "pagingCounter": 1,
  "hasPrevPage": true,
  "hasNextPage": true,
  "prevPage": 1,
  "nextPage": 1,
  "docs": []
}

Get organizations deployments

get
/organizations/{organizationId}/deployments

Get organizations deployments by organization user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

Entity ID

Pattern: ^[0-9a-fA-F]{24}$
Responses
200

OK

application/json
totalDocsintegerRequired

The total number of users

limitintegerRequired

The limit of users per page

Default: 10
pageintegerRequired

Current page

Default: 1
totalPagesintegerRequired

The total number of pages

pagingCounterintegerRequired

Current page number

hasPrevPagebooleanRequired

Has previous page

hasNextPagebooleanRequired

Has next page

prevPageintegerRequired

Previous page number

nextPageintegerRequired

Next page number

get/organizations/{organizationId}/deployments
GET /api/v1/organizations/{organizationId}/deployments HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "totalDocs": 1,
  "limit": 10,
  "page": 1,
  "totalPages": 1,
  "pagingCounter": 1,
  "hasPrevPage": true,
  "hasNextPage": true,
  "prevPage": 1,
  "nextPage": 1,
  "docs": [
    {
      "_id": "text",
      "project": {
        "_id": "text",
        "name": "text",
        "slug": "text",
        "description": "text",
        "organization": "text",
        "credential": {},
        "additionalCredentials": {},
        "storeCredentials": {
          "googlePlay": {
            "googleServiceFile": "text",
            "packageName": "text"
          },
          "appleAppStore": {
            "keyId": "ABCDEFGHIJ",
            "keyIssuerId": "12345678-1234-1234-1234-123456789012",
            "apiKeyFile": "https://test-mobile-prv.s3.eu-central-1.amazonaws.com//_temp/b12ba00a-13ff-4e70-a2fc-41065b9d1e9d_b058caad-b7ba-4700-bb17-040206abb111_86851bc2-d08f-488c-9956-86ef6c7d5fc2_Akinon_shop_prod-(2)-(1).p8",
            "keyInHouse": true,
            "appIdentifier": "com.akinon.test",
            "teamId": "ABCDEFGHIJ",
            "teamName": "Akinon Team",
            "appSpecificId": 1234567890
          },
          "huaweiAppGallery": {
            "clientId": "text",
            "clientSecret": "text"
          }
        },
        "appStatuses": {
          "android": {
            "production": {
              "createdAt": "text",
              "deploymentId": "text",
              "envVersion": "text",
              "publishedAt": "text",
              "publisher": "text",
              "status": true,
              "storeVersion": "text",
              "tag": "text",
              "updatedAt": "text",
              "versionCode": 1
            },
            "staging": {
              "createdAt": "text",
              "deploymentId": "text",
              "envVersion": "text",
              "publishedAt": "text",
              "publisher": "text",
              "status": true,
              "storeVersion": "text",
              "tag": "text",
              "updatedAt": "text",
              "versionCode": 1
            }
          },
          "huawei": {
            "production": {
              "createdAt": "text",
              "deploymentId": "text",
              "envVersion": "text",
              "publishedAt": "text",
              "publisher": "text",
              "status": true,
              "storeVersion": "text",
              "tag": "text",
              "updatedAt": "text",
              "versionCode": 1
            },
            "staging": {
              "createdAt": "text",
              "deploymentId": "text",
              "envVersion": "text",
              "publishedAt": "text",
              "publisher": "text",
              "status": true,
              "storeVersion": "text",
              "tag": "text",
              "updatedAt": "text",
              "versionCode": 1
            }
          },
          "ios": {
            "production": {
              "createdAt": "text",
              "deploymentId": "text",
              "envVersion": "text",
              "publishedAt": "text",
              "publisher": "text",
              "status": true,
              "storeVersion": "text",
              "tag": "text",
              "updatedAt": "text"
            },
            "staging": {
              "createdAt": "text",
              "deploymentId": "text",
              "envVersion": "text",
              "publishedAt": "text",
              "publisher": "text",
              "status": true,
              "storeVersion": "text",
              "tag": "text",
              "updatedAt": "text"
            }
          }
        },
        "status": "draft",
        "lastActivityAt": "2026-01-01T00:00:00.000Z",
        "appIconUrl": "text",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      },
      "user": {
        "_id": "text",
        "username": "text",
        "language": "text",
        "region": "text",
        "firstName": "text",
        "lastName": "text",
        "status": 0,
        "attributes": {},
        "avatarUrl": "text",
        "settings": {
          "mailOnBuildCompleted": true,
          "mailOnCodePushCompleted": true
        },
        "lastLoginAt": "2026-01-01T00:00:00.000Z",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      },
      "parent": "text",
      "description": "text",
      "status": "pending",
      "os": "android",
      "buildTarget": "staging",
      "deploymentType": "build",
      "stages": [
        {
          "_id": "63ea10b94a472e003305232b",
          "name": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z"
        }
      ],
      "startedAt": "2026-01-01T00:00:00.000Z",
      "completedAt": "2026-01-01T00:00:00.000Z",
      "abolisher": "text",
      "forceUpdate": false,
      "tag": "text",
      "checksum": "text",
      "size": 1,
      "uploadDuration": 1,
      "downloadUrl": "text",
      "remoteId": 1,
      "plugins": [
        {
          "name": "text",
          "version": "text",
          "moduleName": "text"
        }
      ],
      "issues": [
        {
          "type": "error",
          "message": "text"
        }
      ],
      "timeline": [
        {
          "step": 1,
          "startTime": "2026-01-01T00:00:00.000Z",
          "finishTime": "2026-01-01T00:00:00.000Z",
          "error": "text"
        }
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "versionCode": 1,
      "javaVersion": "text",
      "xcodeVersion": "text",
      "extensions": [
        "com.akinon.fashfed.RelatedDigitalNotificationExtension",
        "com.akinon.fashfed.RelatedDigitalNotificationContent"
      ],
      "envVersion": "text",
      "storeVersion": "text",
      "isLive": true,
      "isOnStore": null
    }
  ]
}

Get organizations privileges

get
/organizations/{organizationId}/privileges

Get organizations privileges by organization user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

Entity ID

Pattern: ^[0-9a-fA-F]{24}$
Query parameters
limitintegerOptional

The limit of per page

Default: 10
Responses
200

OK

application/json
get/organizations/{organizationId}/privileges
GET /api/v1/organizations/{organizationId}/privileges HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "organization": [
    {
      "id": "text",
      "name": "text",
      "description": "text",
      "group": "administration"
    }
  ]
}

Init public multipart upload

get
/organizations/{organizationId}/upload/multipart/presign/public

Init public multipart upload by organization user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

Entity ID

Pattern: ^[0-9a-fA-F]{24}$
Query parameters
fileNamestringRequired

File name

bucketstringOptional

The base directory name to upload the file

Default: temp
partCountinteger · min: 2Optional

The part count to upload the chunked file. This is required for chunked file uploads.

paramsstringOptional

The params for the file upload

Responses
200

OK

application/json
urlsstring[]Optional

Upload urls

BucketstringOptional

File bucket

KeystringOptional

File key

UploadIdstringOptional

Upload Id

get/organizations/{organizationId}/upload/multipart/presign/public
GET /api/v1/organizations/{organizationId}/upload/multipart/presign/public?fileName=text HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "urls": [
    "text"
  ],
  "Bucket": "text",
  "Key": "text",
  "UploadId": "text"
}

Init private multipart upload

get
/organizations/{organizationId}/upload/multipart/presign/private

Init private multipart upload by organization user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

Entity ID

Pattern: ^[0-9a-fA-F]{24}$
Query parameters
fileNamestringRequired

File name

bucketstringOptional

The base directory name to upload the file

Default: temp
partCountinteger · min: 2Optional

The part count to upload the chunked file. This is required for chunked file uploads.

paramsstringOptional

The params for the file upload

Responses
200

OK

application/json
urlsstring[]Optional

Upload urls

BucketstringOptional

File bucket

KeystringOptional

File key

UploadIdstringOptional

Upload Id

get/organizations/{organizationId}/upload/multipart/presign/private
GET /api/v1/organizations/{organizationId}/upload/multipart/presign/private?fileName=text HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "urls": [
    "text"
  ],
  "Bucket": "text",
  "Key": "text",
  "UploadId": "text"
}

Complete public multipart upload

put
/organizations/{organizationId}/upload/multipart/complete/public

Complete public multipart upload by organization user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

Entity ID

Pattern: ^[0-9a-fA-F]{24}$
Body
keystringRequired

File key, formatted as .

Example: test.apk
uploadIdstringRequired

Upload id

Example: <uploadId>
Responses
200

OK

application/json
BucketstringOptional

File bucket

ETagstringOptional

File ETag

KeystringOptional

File key

LocationstringOptional

File location

Example: https://examplebucket.s3.<Region>.amazonaws.com/bigobject
put/organizations/{organizationId}/upload/multipart/complete/public
PUT /api/v1/organizations/{organizationId}/upload/multipart/complete/public HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "key": "test.apk",
  "uploadId": "<uploadId>",
  "tags": [
    {
      "ETag": "<ETag>",
      "PartNumber": "<PartNumber>"
    }
  ]
}
{
  "Bucket": "text",
  "ETag": "text",
  "Key": "text",
  "Location": "https://examplebucket.s3.<Region>.amazonaws.com/bigobject"
}

Complete private multipart upload

put
/organizations/{organizationId}/upload/multipart/complete/private

Complete private multipart upload by organization user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

Entity ID

Pattern: ^[0-9a-fA-F]{24}$
Body
keystringRequired

File key, formatted as .

Example: test.apk
uploadIdstringRequired

Upload id

Example: <uploadId>
Responses
200

OK

application/json
BucketstringOptional

File bucket

ETagstringOptional

File ETag

KeystringOptional

File key

LocationstringOptional

File location

Example: https://examplebucket.s3.<Region>.amazonaws.com/bigobject
put/organizations/{organizationId}/upload/multipart/complete/private
PUT /api/v1/organizations/{organizationId}/upload/multipart/complete/private HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "key": "test.apk",
  "uploadId": "<uploadId>",
  "tags": [
    {
      "ETag": "<ETag>",
      "PartNumber": "<PartNumber>"
    }
  ]
}
{
  "Bucket": "text",
  "ETag": "text",
  "Key": "text",
  "Location": "https://examplebucket.s3.<Region>.amazonaws.com/bigobject"
}

Get a public presigned URL

get
/organizations/{organizationId}/upload/presign/public

Get a public presigned URL

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

Entity ID

Pattern: ^[0-9a-fA-F]{24}$
Query parameters
fileNamestringRequired

File name

bucketstringOptional

The base directory name to upload the file

Default: temp
paramsstringOptional

The params for the file upload

Responses
200

OK

application/json
urlstringRequired

Presigned URL

get/organizations/{organizationId}/upload/presign/public
GET /api/v1/organizations/{organizationId}/upload/presign/public?fileName=text HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "url": "text",
  "fields": {
    "bucket": "text",
    "key": "text",
    "X-Amz-Algorithm": "text",
    "X-Amz-Credential": "text",
    "X-Amz-Date": "text",
    "X-Amz-Signature": "text",
    "Policy": "text"
  }
}

Get a private presigned URL

get
/organizations/{organizationId}/upload/presign/private

Get a private presigned URL

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

Entity ID

Pattern: ^[0-9a-fA-F]{24}$
Query parameters
fileNamestringRequired

File name

bucketstringOptional

The base directory name to upload the file

Default: temp
paramsstringOptional

The params for the file upload

Responses
200

OK

application/json
urlstringRequired

Presigned URL

get/organizations/{organizationId}/upload/presign/private
GET /api/v1/organizations/{organizationId}/upload/presign/private?fileName=text HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "url": "text",
  "fields": {
    "bucket": "text",
    "key": "text",
    "X-Amz-Algorithm": "text",
    "X-Amz-Credential": "text",
    "X-Amz-Date": "text",
    "X-Amz-Signature": "text",
    "Policy": "text"
  }
}

Create a ticket for help center

post
/organizations/{organizationId}/help-center/feedback/{type}

Create a ticket for help center by organization user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

Entity ID

Pattern: ^[0-9a-fA-F]{24}$
typestring · enumRequired

The type

Possible values:
Body
messagestringRequired

The ticket message

Example: This is a ticket message
filesstring[]Optional

The s3 file url

Example: https://example.com/attachment.png
Responses
201

OK

No content

post/organizations/{organizationId}/help-center/feedback/{type}
POST /api/v1/organizations/{organizationId}/help-center/feedback/{type} HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 85

{
  "message": "This is a ticket message",
  "files": [
    "https://example.com/attachment.png"
  ]
}

No content

Get plugins

get
/plugins

Get plugins by organization user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitintegerOptional

The limit of per page

Default: 10
pageintegerOptional

Current page number

Default: 1
textstringOptional

Text

organizationstringOptional

Organization ID

Responses
200

OK

application/json
totalDocsintegerRequired

The total number of users

limitintegerRequired

The limit of users per page

Default: 10
pageintegerRequired

Current page

Default: 1
totalPagesintegerRequired

The total number of pages

pagingCounterintegerRequired

Current page number

hasPrevPagebooleanRequired

Has previous page

hasNextPagebooleanRequired

Has next page

prevPageintegerRequired

Previous page number

nextPageintegerRequired

Next page number

get/plugins
GET /api/v1/plugins HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "totalDocs": 1,
  "limit": 10,
  "page": 1,
  "totalPages": 1,
  "pagingCounter": 1,
  "hasPrevPage": true,
  "hasNextPage": true,
  "prevPage": 1,
  "nextPage": 1,
  "docs": [
    {
      "isPrivate": true,
      "readme": "text",
      "isVisible": true,
      "_id": "63ea10b94a472e003305232b",
      "name": "text",
      "organization": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "lastDependencyPackage": {
        "assetUrl": "text",
        "isPrivate": true,
        "readme": "text",
        "_id": "63ea10b94a472e003305232b",
        "versionNumber": "text",
        "publisher": {
          "_id": "63ea10b94a472e003305232b",
          "firstName": "text",
          "lastName": "text"
        },
        "dependency": "63ea10b94a472e003305232b",
        "checksum": "text",
        "rank": 1,
        "envVersionNumber": "text",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      }
    },
    {
      "organization": {
        "_id": "text",
        "name": "text",
        "slug": "text",
        "description": "text",
        "owner": "text",
        "isExecutive": false,
        "status": 0,
        "privileges": [
          "project:read",
          "project:write"
        ],
        "imageUrl": "text",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      }
    }
  ]
}

Get plugins owners

get
/plugins/owners

Get plugins owners by organization user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
totalDocsintegerRequired

The total number of users

limitintegerRequired

The limit of users per page

Default: 10
pageintegerRequired

Current page

Default: 1
totalPagesintegerRequired

The total number of pages

pagingCounterintegerRequired

Current page number

hasPrevPagebooleanRequired

Has previous page

hasNextPagebooleanRequired

Has next page

prevPageintegerRequired

Previous page number

nextPageintegerRequired

Next page number

get/plugins/owners
GET /api/v1/plugins/owners HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "totalDocs": 1,
  "limit": 10,
  "page": 1,
  "totalPages": 1,
  "pagingCounter": 1,
  "hasPrevPage": true,
  "hasNextPage": true,
  "prevPage": 1,
  "nextPage": 1,
  "docs": [
    {
      "_id": "63ea10b94a472e003305232b",
      "name": "text"
    }
  ]
}

Get a plugin

get
/plugins/{pluginId}

Get a plugin by organization user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
pluginIdstringRequired

Entity ID

Pattern: ^[0-9a-fA-F]{24}$
Responses
200

OK

application/json
isPrivatebooleanRequired

Dependency is private

readmestringRequired

Dependency readme

isVisiblebooleanRequired

Dependency is visible

_idstringRead-onlyRequired

Entity ID

Example: 63ea10b94a472e003305232bPattern: ^[0-9a-fA-F]{24}$
namestring · min: 2 · max: 100Required

Dependency name

organizationstringRequired

Organization id

createdAtstring · date-timeRead-onlyRequired

Date

updatedAtstring · date-timeRead-onlyRequired

Date

get/plugins/{pluginId}
GET /api/v1/plugins/{pluginId} HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "isPrivate": true,
  "readme": "text",
  "isVisible": true,
  "_id": "63ea10b94a472e003305232b",
  "name": "text",
  "organization": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "lastDependencyPackage": {
    "assetUrl": "text",
    "isPrivate": true,
    "readme": "text",
    "_id": "63ea10b94a472e003305232b",
    "versionNumber": "text",
    "publisher": {
      "_id": "63ea10b94a472e003305232b",
      "firstName": "text",
      "lastName": "text"
    },
    "dependency": "63ea10b94a472e003305232b",
    "checksum": "text",
    "rank": 1,
    "envVersionNumber": "text",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  }
}

Get plugin packages

get
/plugins/{dependencyId}/packages

Get plugin packages by organization user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
dependencyIdstringRequired

Entity ID

Pattern: ^[0-9a-fA-F]{24}$
Query parameters
limitintegerOptional

The limit of per page

Default: 10
pageintegerOptional

Current page number

Default: 1
sortstringOptional

Sort

Example: {"value":"createdAt"}
versionNumberstringOptional

Version number

envVersionNumberstringOptional

Env version number

Responses
200

OK

application/json
totalDocsintegerRequired

The total number of users

limitintegerRequired

The limit of users per page

Default: 10
pageintegerRequired

Current page

Default: 1
totalPagesintegerRequired

The total number of pages

pagingCounterintegerRequired

Current page number

hasPrevPagebooleanRequired

Has previous page

hasNextPagebooleanRequired

Has next page

prevPageintegerRequired

Previous page number

nextPageintegerRequired

Next page number

get/plugins/{dependencyId}/packages
GET /api/v1/plugins/{dependencyId}/packages HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "totalDocs": 1,
  "limit": 10,
  "page": 1,
  "totalPages": 1,
  "pagingCounter": 1,
  "hasPrevPage": true,
  "hasNextPage": true,
  "prevPage": 1,
  "nextPage": 1,
  "docs": [
    {
      "assetUrl": "text",
      "isPrivate": true,
      "readme": "text",
      "_id": "63ea10b94a472e003305232b",
      "versionNumber": "text",
      "publisher": {
        "_id": "63ea10b94a472e003305232b",
        "firstName": "text",
        "lastName": "text"
      },
      "dependency": "63ea10b94a472e003305232b",
      "checksum": "text",
      "rank": 1,
      "envVersionNumber": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get a upgrade diff

get
/upgrade-helper/{tag}

Get a upgrade diff

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tagstringRequired

The tags to search, formatted as '..'

Example: tag1..tag2
Responses
200

OK

application/json
stringOptional
get/upgrade-helper/{tag}
GET /api/v1/upgrade-helper/{tag} HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
text

Get upgrade versions

get
/upgrade-helper/versions

Get upgrade versions

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitintegerOptional

The limit of per page

Default: 10
Responses
200

OK

application/json
object[]Optional
get/upgrade-helper/versions
GET /api/v1/upgrade-helper/versions HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {}
]

Get a file

get
/upgrade-helper/file/{filePath}

Get a file

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
filePathstringRequired

File path

Example: src/v5.3.2/src/pages/homePage/widgets/imageLinkCategoryBanner/index.js
Responses
200

OK

application/json
stringOptional
get/upgrade-helper/file/{filePath}
GET /api/v1/upgrade-helper/file/{filePath} HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
text

Last updated

Was this helpful?